﻿using System;
using EnvDTE;
using EnvDTE80;

namespace VsTortoiseSVN.Commands
{
    public class ActiveDocumentRevert : ActiveDocumentBase
    {
        public ActiveDocumentRevert(DTE2 application, string name, string caption, string tooltip, int bitmapId)
            : base(application, name, caption, tooltip, bitmapId)
        {
        }

        public override vsCommandStatus QueryStatus()
        {
            if (Application.HasDocument())
            {
                if (SvnHelper.CanRevert(FullName))
                    return vsCommandStatus.vsCommandStatusSupported | vsCommandStatus.vsCommandStatusEnabled;
            }

            return vsCommandStatus.vsCommandStatusUnsupported;
        }

        public override bool Exec()
        {
            TortoiseProc.Instance.Revert(FullName);
            return true;
        }
    }
}
