﻿using System;
using System.Collections.Generic;
using System.IO;
using EnvDTE;
using EnvDTE80;

namespace VsTortoiseSVN.Commands
{

    public class ActiveProjectCommit : ActiveProjectBase
    {
        /// <summary>
        /// Constructor
        /// </summary>
        public ActiveProjectCommit(DTE2 application, string name, string caption, string tooltip, int bitmapId)
            : base(application, name, caption, tooltip, bitmapId)
        {
        }

        public override vsCommandStatus QueryStatus()
        {
            if (Application.HasProject())
                return vsCommandStatus.vsCommandStatusSupported | vsCommandStatus.vsCommandStatusEnabled;

            return vsCommandStatus.vsCommandStatusSupported;
        }

        public override bool Exec()
        {
            List<string> directoryNames = GetDirectoryNames();
            TortoiseProc.Instance.Commit(directoryNames);
            return true;
        }
    }
}
